<?php

	/*
	 * @author	Martijn Polak
	 * @since	20040805
	 * @name	Dynamic Navigation Component.
	 * 			Parameters
	 * 			 - template:	defines which template to use
	 * 			 - group:		the navigation group to print
	 */
	
	global $g_obj_tdyn0302;
	$g_obj_html->createObject('tdyn0302', 'troyceDynamicNavigation()');
	
	$g_obj_tdyn0302->setTemplateVariableByRef('componentSettings', $componentSettings);
	$g_obj_tdyn0302->setTemplateFunction('assign_nav_path', 'tpl_assign_nav_path');

	if ($componentSettings['template']) $g_obj_tdyn0302->setSetting('templates->navigation', $componentSettings['template']);

	$group_code = $componentSettings['group'] ? $componentSettings['group'] : 'MAIN';

	$GLOBALS['nav_item_from_url'] = $g_obj_tdyn0302->getItemFromURL($group_code);
	$g_obj_tdyn0302->setTemplateVariableByRef('nav_item_from_url', $GLOBALS['nav_item_from_url']);

	$g_obj_tdyn0302->setTemplateVariableByRef('css', $g_arr_css);
	$g_obj_tdyn0302->printNavigation($group_code);



?>